/*
Created by: X
http://www.createdbyx.com/

The Zider engine is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using System.Collections.Generic;
using System.Text;

namespace Zider
{
    public enum BlockType
    {
        Platform
    }

    /// <summary>
    /// Type of projection used by the camera.
    /// </summary>
    public enum Projection
    {
        /// <summary> Things stay the same size no matter where they are in terms of the camera.  Normally only used in 3D HUD elements. </summary>
        Orthographic,
        /// <summary> Things get smaller when they are furthur away from the camera. </summary>
        Perspective
    }

    public enum ComponentName
    {
        RectangleRenderer,
        InputManager,
        GridRenderer
    }

}
