/*
Created by: X
http://www.createdbyx.com/

The Zider engine is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Zider.Interfaces
{
    public enum CommandResult
    {
        Handled,
        Continue
    }

    public interface ICommand
    {
        CommandResult Result
        {
            get;
        }
        void Initialize();
        void Update(GameTime gameTime);
    }
}
