/*
Created by: X
http://www.createdbyx.com/

xFripperyXNA is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using Microsoft.Xna.Framework.Input;
using System;
using Microsoft;
using System.Collections;
using System.Diagnostics;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System.Xml;


namespace xFripperyXNA
{
	public class xFrippery 
	{ 
		
		protected internal ControlCollection controls = new ControlCollection();
		private MouseButtons mouseButtonDown = MouseButtons.None;
		private string mouseButtonDownOnControlName = string.Empty;
		
		
		public ControlCollection Controls
		{
			get { return controls; }
			set { controls = value; }
		}
		
		public void DoMouseDown(object sender, MouseButtons b, Vector2 pos)
		{
			foreach (Control c in controls)
			{
				IControl Tmp;
                Tmp = c.GetControlFromPoint(pos.X, pos.Y);
				if ((Tmp != null)&& Tmp.Visible && Tmp.Name != string.Empty)
				{
                        Vector2 Pt = Tmp.PointToClient(new Vector2(pos.X, pos.Y));
						mouseButtonDown = b;
						mouseButtonDownOnControlName = Tmp.Name;
                        Tmp.RaiseMouseDown(sender, b, pos);
					return;
				}
			}
		}

        public void DoMouseMove(object sender, MouseButtons b, Vector2 pos)
		{
			foreach (Control c in controls)
			{
				IControl Tmp;
                Tmp = c.GetControlFromPoint(pos.X, pos.Y);
				if ((Tmp != null)&& Tmp.Visible && Tmp.Name != string.Empty)
				{
                        Vector2 Pt = Tmp.PointToClient(new Vector2(pos.X, pos.Y));
                        Tmp.RaiseMouseMove(sender,b,pos);
					
					return;
				}
			}
		}

        public void DoMouseUp(object sender, MouseButtons b, Vector2 pos)
		{
			foreach (Control c in controls)
			{       			    
                IControl Tmp;
				Tmp = c.GetControlFromPoint(pos.X, pos.Y);
				if ((Tmp != null)&& Tmp.Visible && Tmp.Name != string.Empty)
				{
                    Vector2 Pt = Tmp.PointToClient(new Vector2(pos.X, pos.Y));
                    Tmp.RaiseMouseUp(sender, b, pos);
                    
					// check if same control and button that clicked down on the control
					if (mouseButtonDown == b)
					{
						if (mouseButtonDownOnControlName == Tmp.Name)
						{
                            Tmp.RaiseClick(sender, b, pos);
						}
					}
					return;
				}
			}
		}
		
		public void DoKeyDown(object sender, Keys e)
		{
            throw new NotImplementedException();
		}

        public void DoKeyPressed(object sender, Keys e)
		{
            throw new NotImplementedException(); 			
		}

        public void DoKeyUp(object sender, Keys e)
		{
            throw new NotImplementedException(); 		
		}          		
       
	}
}
