/*
Created by: X
http://www.createdbyx.com/

The Zider engine is licenced under the Creative Commons Attribution-NonCommercial-ShareAlike 2.5 Canada
http://creativecommons.org/licenses/by-nc-sa/2.5/ca/
*/
using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Zider.Interfaces
{

    public interface IGUIWidget
    {
        Color Color { get; set; }
        Rectangle SourceRectangle { get; set; }
        Texture2D Texture { get; set; }
        string TextureName { get; set; }
        void Initilize(ZiderGame game);
        void Update(ZiderGame game, GameTime gameTime);
        void Draw(GameTime gameTime, SpriteBatch sb);
        Color TextColor { get; set; }
        Nuclex.Fonts.BitmapFont Font { get; set; }
        Nuclex.Fonts.TextAlignment TextAlignment { get; set; }
        string Text { get; set; }
    }
}